#
# Project Builder configuration file
# For project collectl
#
# $Id$
#

#
# What is the project URL
#
#pburl collectl = http://localhost/collectl-2.4.3-src.tar.gz
pburl collectl = http://downloads.sourceforge.net/collectl/collectl-2.4.3-src.tar.gz

#
# Packager label
#
pbpackager collectl = Bruno Cornec <bruno@project-builder.org>

#
# For delivery to a machine by SSH (potentially the FTP server)
# Needs hostname, account and directory
#
sshhost collectl = www.project-builder.org
sshlogin collectl = bruno
sshdir collectl = /mondo/ftp
sshport collectl = 22

#
# For Virtual machines/env management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '-' followed by release number, 
# followed by '-' followed by architecture.
#
# a .vmtype extension will be added to the resulting string
# a QEMU rhel-3-i386 here means that the VM running RHEL3 ia32 will be named rhel-3-i386.qemu
#
#
# List of VMs
vmlist collectl = mandrake-10.1-i386,mandrake-10.2-i386,mandriva-2006.0-i386,mandriva-2007.0-i386,mandriva-2007.1-i386,mandriva-2008.0-i386,redhat-7.3-i386,redhat-9-i386,fedora-4-i386,fedora-5-i386,fedora-6-i386,rhel-3-i386,rhel-4-i386,rhel-5-i386,suse-10.0-i386,suse-10.1-i386,suse-10.2-i386,suse-10.3-i386,sles-9-i386,sles-10-i386,gentoo-nover-i386,debian-3.1-i386,debian-4.0-i386,ubuntu-6.06-i386,ubuntu-7.04-i386,ubuntu-7.10-i386,mandriva-2007.0-x86_64,mandriva-2007.1-x86_64,mandriva-2008.0-x86_64,fedora-6-x86_64,fedora-8-x86_64,rhel-4-x86_64,rhel-5-x86_64,suse-10.2-x86_64,suse-10.3-x86_64,sles-10-x86_64,gentoo-nover-x86_64,debian-4.0-x86_64,ubuntu-7.04-x86_64,ubuntu-7.10-x86_64

# List of  VEs
velist collectl = fedora-7-i386

# Architectures built
pbarch collectl = noarch

#
# Valid values for vetype are
# chroot (maybe others in the future)
vetype collectl = chroot

# Hash for VE stuff on vmtype
ventp default = pool.ntp.org

# Timeout to wait when VE is launched/stopped
vetmout default = 120

# per VEs needed paramaters
velogin collectl = pb
#vepath collectl = /users/chroot
vepath collectl = /var/lib/mock
# Usage of URI ?
veconf collectl = /etc/mock
# Do not rebuild the VE by default (can be forced with -f option of pb)
verebuild collectl = false

#
# Valid values for vmtype are
# qemu, (vmware, xen, ... TBD)
vmtype collectl = qemu

# Hash for VM stuff on vmtype
vmntp default = 10.0.2.2

# We suppose we can commmunicate with the VM through SSH
vmhost collectl = localhost
vmlogin collectl = pb
vmport collectl = 2223

# Timeout to wait when VM is launched/stopped
vmtmout default = 120

# per VMs needed paramaters
vmopt collectl = -m 384 -daemonize
vmpath collectl = /users/qemu
vmsize collectl = 5G

#
# Global version/tag for the project
# projver is the path to where that version is in the CMS tree
#
projver collectl = devel
projtag collectl = 1

# Adapt to your needs:
# Optional if you need to overwrite the global values above
#
#pkgver project-builder = devel
#pkgtag project-builder = 1

testver collectl = true

# Hash of default package/package directory
defpkgdir collectl = collectl-2.4.3

# Hash of additional package/package directory
extpkgdir none = 

# Hash of valid version names
#version collectl = 2.4.3

# List of files per pkg on which to apply filters
# Files are mentioned relatively to pbroot/defpkgdir
#filteredfiles collectl = GPL
